{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "CMake Configure",
      "type": "shell",
      "command": "cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_EXPORT_COMPILE_COMMANDS=ON",
      "options": {
        "cwd": "${workspaceFolder}/build"
      },
      "problemMatcher": []
    },
    {
      "label": "CMake Build",
      "type": "shell",
      "command": "cmake --build . --config Release",
      "options": {
        "cwd": "${workspaceFolder}/build"
      },
      "problemMatcher": ["$gcc"],
      "dependsOn": ["CMake Configure"],
      "group": {
        "kind": "build",
        "isDefault": true
      }
    }
  ]
}
//   "label": "Build",
//   "command": "cmake --build build",